petsc-3.12.1 2019-10-22
Report Typos and Errors

# TSAdaptSetClip

Sets the admissible decrease/increase factor in step size

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSAdaptSetClip(TSAdapt adapt,PetscReal low,PetscReal high)

Logically collective on TSAdapt

### Input Arguments

| adapt | - adaptive controller context
| low | - admissible decrease factor
| high | - admissible increase factor

### Options Database Keys

-ts_adapt_clip <low>,<high> -to set admissible time step decrease and increase factors

### See Also

TSAdaptChoose(), TSAdaptGetClip()

### Level

intermediate

### Location

src/ts/adapt/interface/tsadapt.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages